      subroutine debiil1(miil1)
      use module
      ! iil1 : indice su string
      ! miil1 : indice du cas
      ! 
      niil1=miil1
      yiil1lent=itest(8)==1
      if(yiil1(miil1)) then
         ! premier passage
         iil1=iil1tot+1
         iil10(miil1)=iil1
         ! autres passages
      else
         iil1=iil10(miil1)
      endif
      return
      end
       subroutine finiil1(miil1)
      use module
      if(yiil1lent) return
      if(yiil1(miil1)) iil1tot=iil1
      if(yiil1(miil1)) print*,'premier passage',miil1,iil1
      yiil1(miil1)=.false.
      yiil1lent=.true.
      return
      end

